import React from 'react';
import { PropsWithMetadata } from '@highlight-ui/utils-commons';
export declare type LinkProps = React.ComponentPropsWithoutRef<'a'> & PropsWithMetadata<{
    /**
     * Used for external links to have a link icon next to the text
     */
    showIcon?: boolean;
    /**
     * Allows to not have underline
     */
    underline?: boolean;
}>;
declare const Link: React.ForwardRefExoticComponent<Pick<React.DetailedHTMLProps<React.AnchorHTMLAttributes<HTMLAnchorElement>, HTMLAnchorElement>, "key" | keyof React.AnchorHTMLAttributes<HTMLAnchorElement>> & {
    /**
     * Used for external links to have a link icon next to the text
     */
    showIcon?: boolean | undefined;
    /**
     * Allows to not have underline
     */
    underline?: boolean | undefined;
} & {
    metadata?: import("@highlight-ui/utils-commons").ComponentMetadata | undefined;
} & React.RefAttributes<HTMLAnchorElement>>;
export default Link;
