import React from 'react';
import classnames from 'classnames';
import { Icon } from '@highlight-ui/icon';
import { Typography } from '@highlight-ui/typography';
import { parseMetadata, suffixMetadata } from '@highlight-ui/utils-commons';

/*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */

var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};

function __rest(s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
}

var styles = {"link":"Link-module__19IHxIPc__v1-0-6","text":"Link-module__18uOj2J9__v1-0-6","iconContainer":"Link-module__7VQ0VsfB__v1-0-6","disabledUnderline":"Link-module__2IdNKNC8__v1-0-6"};

var Link = React.forwardRef(function (_a, ref) {
    var _b;
    var children = _a.children, className = _a.className, href = _a.href, metadata = _a.metadata, _c = _a.showIcon, showIcon = _c === void 0 ? false : _c, _d = _a.underline, underline = _d === void 0 ? true : _d, target = _a.target, restProps = __rest(_a, ["children", "className", "href", "metadata", "showIcon", "underline", "target"]);
    var rel = target === '_blank' ? 'noopener noreferrer' : '';
    return (React.createElement("a", __assign({}, parseMetadata(metadata), restProps, { className: classnames(className, styles.link, (_b = {},
            _b[styles.disabledUnderline] = !underline,
            _b)), href: href, ref: ref, rel: rel, target: target }),
        React.createElement(Typography, { variant: "button-1", className: styles.text }, children),
        showIcon && (React.createElement("span", { className: styles.iconContainer },
            React.createElement(Icon, { name: "external-link", type: "solid", size: 12, metadata: suffixMetadata(metadata, 'icon') })))));
});

export { Link };
//# sourceMappingURL=index.js.map
